[24435] in Source-Commits
/svn/athena r24025 - in trunk/debathena/config/gdm-config: debathena debian
daemon@ATHENA.MIT.EDU (Geoffrey Thomas)
Mon Sep 28 17:58:17 2009
Date: Mon, 28 Sep 2009 17:57:59 -0400
From: Geoffrey Thomas <geofft@MIT.EDU>
Message-Id: <200909282157.n8SLvxPI025340@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: geofft
Date: 2009-09-28 17:57:58 -0400 (Mon, 28 Sep 2009)
New Revision: 24025
Added:
trunk/debathena/config/gdm-config/debathena/metapackage-unknown.svg
trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.install
trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.postinst
trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.prerm
trunk/debathena/config/gdm-config/debian/debathena-gdm-config.prerm
trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.install
trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.postinst
trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.prerm
trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.install
trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.postinst
trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.prerm
trunk/debathena/config/gdm-config/debian/distro.svg
trunk/debathena/config/gdm-config/debian/metapackage-cluster.svg
trunk/debathena/config/gdm-config/debian/metapackage-login-graphical.svg
trunk/debathena/config/gdm-config/debian/metapackage-workstation.svg
Modified:
trunk/debathena/config/gdm-config/debathena/debathena.xml
trunk/debathena/config/gdm-config/debian/changelog
trunk/debathena/config/gdm-config/debian/control.in
trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst
trunk/debathena/config/gdm-config/debian/rules
Log:
In gdm-config:
* Display the OS version and Debathena metapackage in the corner
of the login screen.
* To implement this feature, create debathena-*-branding packages for
metapackages that depend on gdm-config.
Modified: trunk/debathena/config/gdm-config/debathena/debathena.xml
===================================================================
--- trunk/debathena/config/gdm-config/debathena/debathena.xml 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debathena/debathena.xml 2009-09-28 21:57:58 UTC (rev 24025)
@@ -53,12 +53,20 @@
</item>
</box>
</item>
- <!-- The clock -->
+ <!-- The clock, metapackage level, and distribution -->
<item type="label" id="clock">
<normal color="#000000" font="Trebuchet MS 10" />
- <pos x="-10" y="50%" anchor="e" />
+ <pos x="-10" y="10" anchor="ne" />
<text>%c</text>
</item>
+ <item type="pixmap">
+ <normal file="metapackage.svg" />
+ <pos x="-10" y="50%" anchor="e" />
+ </item>
+ <item type="pixmap">
+ <normal file="distro.svg" />
+ <pos x="-10" y="-10" anchor="se" />
+ </item>
<!-- The caps-lock icon -->
<item type="pixmap" id="caps-lock-warning">
<pos x="80%" y="50%" anchor="c" />
Added: trunk/debathena/config/gdm-config/debathena/metapackage-unknown.svg
===================================================================
--- trunk/debathena/config/gdm-config/debathena/metapackage-unknown.svg 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debathena/metapackage-unknown.svg 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<svg width="300" height="10pt" xmlns="http://www.w3.org/2000/svg">
+<text style="font-family: Trebuchet MS; font-size: 10pt; font-weight: normal;" x="100%" y="10pt" text-anchor="end">
+(unknown Debathena release)
+</text>
+</svg>
Modified: trunk/debathena/config/gdm-config/debian/changelog
===================================================================
--- trunk/debathena/config/gdm-config/debian/changelog 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/changelog 2009-09-28 21:57:58 UTC (rev 24025)
@@ -1,3 +1,12 @@
+debathena-gdm-config (1.15) unstable; urgency=low
+
+ * Display the OS version and Debathena metapackage in the corner
+ of the login screen.
+ * To implement this feature, create debathena-*-branding packages for
+ metapackages that depend on gdm-config.
+
+ -- Geoffrey Thomas <geofft@mit.edu> Mon, 28 Sep 2009 17:37:45 -0400
+
debathena-gdm-config (1.14) unstable; urgency=low
* Provide /usr/share/debathena-gdm-config/{Pre,Post}Session.d
Modified: trunk/debathena/config/gdm-config/debian/control.in
===================================================================
--- trunk/debathena/config/gdm-config/debian/control.in 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/control.in 2009-09-28 21:57:58 UTC (rev 24025)
@@ -2,7 +2,7 @@
Section: debathena-config/gnome
Priority: extra
Maintainer: Debathena Project <debathena@mit.edu>
-Build-Depends: @cdbs@, gdm
+Build-Depends: @cdbs@, gdm, lsb-release
Standards-Version: 3.7.2
Package: debathena-gdm-config
@@ -15,3 +15,26 @@
Description: GDM configuration for Debathena
This packages configures gdm to use the Debathena logo, store
xauthority files in /tmp, and welcome the user to Debathena.
+
+Package: debathena-login-graphical-branding
+Architecture: all
+Depends: debathena-login-graphical, ${misc:Depends}
+Description: Displays which Debathena metapackage level is installed
+ This package configures the Debathena login screen to note that
+ debathena-login-graphical is installed, unless overriden by a
+ higher -branding package.
+
+Package: debathena-workstation-branding
+Architecture: all
+Depends: debathena-workstation, ${misc:Depends}
+Description: Displays which Debathena metapackage level is installed
+ This package configures the Debathena login screen to note that
+ debathena-workstation is installed, unless overriden by a
+ higher -branding package.
+
+Package: debathena-cluster-branding
+Architecture: all
+Depends: debathena-cluster, ${misc:Depends}
+Description: Displays which Debathena metapackage level is installed
+ This package configures the Debathena login screen to note that
+ debathena-cluster is installed.
Added: trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.install
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.install 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.install 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1 @@
+debian/metapackage-cluster.svg usr/share/gdm/themes/debathena
Copied: trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.postinst (from rev 24024, trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst)
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.postinst 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-cluster-branding
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ update-alternatives --install \
+ /usr/share/gdm/themes/debathena/metapackage.svg \
+ debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-cluster.svg \
+ 80
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Added: trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.prerm
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.prerm 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-cluster-branding.prerm 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# prerm script for debathena-cluster-branding
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-cluster.svg
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Modified: trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2009-09-28 21:57:58 UTC (rev 24025)
@@ -27,6 +27,14 @@
/etc/init.d/gdm reload
fi
fi
+ # We don't actually want the "unknown metapackage" file, but it
+ # needs to be present in case you have debathena-gdm-config and
+ # nothing else, so give it priority 0.
+ update-alternatives --install \
+ /usr/share/gdm/themes/debathena/metapackage.svg \
+ debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-unknown.svg \
+ 0
;;
abort-upgrade|abort-remove|abort-deconfigure)
Added: trunk/debathena/config/gdm-config/debian/debathena-gdm-config.prerm
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-gdm-config.prerm 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-gdm-config.prerm 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# prerm script for debathena-gdm-config
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-unknown.svg
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Added: trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.install
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.install 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.install 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1 @@
+debian/metapackage-login-graphical.svg usr/share/gdm/themes/debathena
Copied: trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.postinst (from rev 24024, trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst)
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.postinst 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-login-graphical-branding
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ update-alternatives --install \
+ /usr/share/gdm/themes/debathena/metapackage.svg \
+ debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-login-graphical.svg \
+ 40
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Added: trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.prerm
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.prerm 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-login-graphical-branding.prerm 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# prerm script for debathena-login-graphical-branding
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-login-graphical.svg
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Added: trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.install
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.install 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.install 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1 @@
+debian/metapackage-workstation.svg usr/share/gdm/themes/debathena
Copied: trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.postinst (from rev 24024, trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst)
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.postinst 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-workstation-branding
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ update-alternatives --install \
+ /usr/share/gdm/themes/debathena/metapackage.svg \
+ debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-workstation.svg \
+ 60
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Added: trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.prerm
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.prerm 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/debathena-workstation-branding.prerm 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# prerm script for debathena-workstation-branding
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove debathena-metapackage.svg \
+ /usr/share/gdm/themes/debathena/metapackage-workstation.svg
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Added: trunk/debathena/config/gdm-config/debian/distro.svg
===================================================================
--- trunk/debathena/config/gdm-config/debian/distro.svg 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/distro.svg 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<svg width="300" height="10pt" xmlns="http://www.w3.org/2000/svg">
+<text style="font-family: Trebuchet MS; font-size: 10pt; font-weight: normal;" x="100%" y="10pt" text-anchor="end">
+DISTRO
+</text>
+</svg>
Added: trunk/debathena/config/gdm-config/debian/metapackage-cluster.svg
===================================================================
--- trunk/debathena/config/gdm-config/debian/metapackage-cluster.svg 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/metapackage-cluster.svg 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<svg width="300" height="10pt" xmlns="http://www.w3.org/2000/svg">
+<text style="font-family: Trebuchet MS; font-size: 10pt; font-weight: normal;" x="100%" y="10pt" text-anchor="end">
+debathena-cluster
+</text>
+</svg>
Added: trunk/debathena/config/gdm-config/debian/metapackage-login-graphical.svg
===================================================================
--- trunk/debathena/config/gdm-config/debian/metapackage-login-graphical.svg 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/metapackage-login-graphical.svg 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<svg width="300" height="10pt" xmlns="http://www.w3.org/2000/svg">
+<text style="font-family: Trebuchet MS; font-size: 10pt; font-weight: normal;" x="100%" y="10pt" text-anchor="end">
+debathena-login-graphical
+</text>
+</svg>
Added: trunk/debathena/config/gdm-config/debian/metapackage-workstation.svg
===================================================================
--- trunk/debathena/config/gdm-config/debian/metapackage-workstation.svg 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/metapackage-workstation.svg 2009-09-28 21:57:58 UTC (rev 24025)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<svg width="300" height="10pt" xmlns="http://www.w3.org/2000/svg">
+<text style="font-family: Trebuchet MS; font-size: 10pt; font-weight: normal;" x="100%" y="10pt" text-anchor="end">
+debathena-workstation
+</text>
+</svg>
Modified: trunk/debathena/config/gdm-config/debian/rules
===================================================================
--- trunk/debathena/config/gdm-config/debian/rules 2009-09-28 19:25:46 UTC (rev 24024)
+++ trunk/debathena/config/gdm-config/debian/rules 2009-09-28 21:57:58 UTC (rev 24025)
@@ -2,7 +2,7 @@
ifneq ($(wildcard /etc/gdm/gdm.conf-custom),)
GDM_CONFFILE = /etc/gdm/gdm.conf-custom.debathena
- DEB_DH_LINK_ARGS=/etc/gdm/gdm.conf-custom.debathena /etc/gdm/gdm.conf.debathena
+ DEB_DH_LINK_ARGS_debathena-gdm-config=/etc/gdm/gdm.conf-custom.debathena /etc/gdm/gdm.conf.debathena
else
GDM_CONFFILE = /etc/gdm/gdm.conf.debathena
endif
@@ -19,3 +19,11 @@
/usr/share/xsessions/ssh.desktop
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk
+
+common-build-indep:: debathena/distro.svg
+
+debathena/distro.svg:
+ sed "s/DISTRO/`lsb_release -sd`/" < debian/distro.svg > $@
+
+clean::
+ -rm debathena/distro.svg